Package org.opensaml.xmlsec.encryption.impl

# Class EncryptedTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.EncryptedTypeImpl

All Implemented Interfaces:
  `XMLObject`, `EncryptedType`

Direct Known Subclasses:
  `EncryptedDataImpl`, `EncryptedKeyImpl`

public abstract class EncryptedTypeImpl extends AbstractXMLObject implements EncryptedType
Abstract implementation of `EncryptedType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CipherData`
`cipherData`
CipherData child element.
`private String`
`encoding`
Encoding attribute value.
`private EncryptionMethod`
`encryptionMethod`
EncryptionMethod child element.
`private EncryptionProperties`
`encryptionProperties`
EncryptionProperties child element.
`private String`
`id`
id attribute value.
`private KeyInfo`
`keyInfo`
EncryptionMethod child element.
`private String`
`mimeType`
MimeType attribute value.
`private String`
`type`
Type attribute value.

### Fields inherited from interface org.opensaml.xmlsec.encryption.EncryptedType

`ENCODING_ATTRIB_NAME, ID_ATTRIB_NAME, MIMETYPE_ATTRIB_NAME, TYPE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EncryptedTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`CipherData`
`getCipherData()`
Gets the CipherData child element.
`String`
`getEncoding()`
Gets the encoding applied to the plaintext content prior to encryption.
`EncryptionMethod`
`getEncryptionMethod()`
Gets the EncryptionMethod child element.
`EncryptionProperties`
`getEncryptionProperties()`
Gets the EncryptionProperties child element.
`String`
`getID()`
Gets the unique ID for the XML element.
`KeyInfo`
`getKeyInfo()`
Gets the KeyInfo child element.
`String`
`getMimeType()`
Gets the MIME type of the plaintext content.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getType()`
Gets the type information for the plaintext content.
`void`
`setCipherData(CipherData newCipherData)`
Sets the CipherData child element.
`void`
`setEncoding(String newEncoding)`
Sets the encoding applied to the plaintext content prior to encryption.
`void`
`setEncryptionMethod(EncryptionMethod newEncryptionMethod)`
Sets the EncryptionMethod child element.
`void`
`setEncryptionProperties(EncryptionProperties newEncryptionProperties)`
Sets the EncryptionProperties child element.
`void`
`setID(String newID)`
Sets the unique ID for the XML element.
`void`
`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo child element.
`void`
`setMimeType(String newMimeType)`
Sets the MIME type of the plaintext content.
`void`
`setType(String newType)`
Sets the type information for the plaintext content.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
id attribute value.

### type

@Nullable private String type
Type attribute value.

### mimeType

@Nullable private String mimeType
MimeType attribute value.

### encoding

@Nullable private String encoding
Encoding attribute value.

### encryptionMethod

@Nullable private EncryptionMethod encryptionMethod
EncryptionMethod child element.

### keyInfo

@Nullable private KeyInfo keyInfo
EncryptionMethod child element.

### cipherData

@Nullable private CipherData cipherData
CipherData child element.

### encryptionProperties

@Nullable private EncryptionProperties encryptionProperties
EncryptionProperties child element.

## Constructor Details

### EncryptedTypeImpl

protected EncryptedTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getID

@Nullable public String getID()
Gets the unique ID for the XML element.

Specified by:
  `getID` in interface `EncryptedType`
Returns:
  the unique ID for the XML element

### setID

public void setID(@Nullable String newID)
Sets the unique ID for the XML element.

Specified by:
  `setID` in interface `EncryptedType`
Parameters:
  `newID` - the unique ID for the XML element

### getType

@Nullable public String getType()
Gets the type information for the plaintext content.

Specified by:
  `getType` in interface `EncryptedType`
Returns:
  the type information for the plaintext content

### setType

public void setType(@Nullable String newType)
Sets the type information for the plaintext content.

Specified by:
  `setType` in interface `EncryptedType`
Parameters:
  `newType` - the type information for the plaintext content

### getMimeType

@Nullable public String getMimeType()
Gets the MIME type of the plaintext content.

Specified by:
  `getMimeType` in interface `EncryptedType`
Returns:
  the MIME type of the plaintext content

### setMimeType

public void setMimeType(@Nullable String newMimeType)
Sets the MIME type of the plaintext content.

Specified by:
  `setMimeType` in interface `EncryptedType`
Parameters:
  `newMimeType` - the MIME type of the plaintext content

### getEncoding

@Nullable public String getEncoding()
Gets the encoding applied to the plaintext content prior to encryption.

Specified by:
  `getEncoding` in interface `EncryptedType`
Returns:
  the encoding applied to the plaintext content prior to encryption

### setEncoding

public void setEncoding(@Nullable String newEncoding)
Sets the encoding applied to the plaintext content prior to encryption.

Specified by:
  `setEncoding` in interface `EncryptedType`
Parameters:
  `newEncoding` - the encoding applied to the plaintext content prior to encryption

### getEncryptionMethod

@Nullable public EncryptionMethod getEncryptionMethod()
Gets the EncryptionMethod child element.

Specified by:
  `getEncryptionMethod` in interface `EncryptedType`
Returns:
  the EncryptionMethod child element

### setEncryptionMethod

public void setEncryptionMethod(@Nullable EncryptionMethod newEncryptionMethod)
Sets the EncryptionMethod child element.

Specified by:
  `setEncryptionMethod` in interface `EncryptedType`
Parameters:
  `newEncryptionMethod` - the new EncryptionMethod child element

### getKeyInfo

@Nullable public KeyInfo getKeyInfo()
Gets the KeyInfo child element.

Specified by:
  `getKeyInfo` in interface `EncryptedType`
Returns:
  the KeyInfo child element

### setKeyInfo

public void setKeyInfo(@Nullable KeyInfo newKeyInfo)
Sets the KeyInfo child element.

Specified by:
  `setKeyInfo` in interface `EncryptedType`
Parameters:
  `newKeyInfo` - the new KeyInfo child element

### getCipherData

@Nullable public CipherData getCipherData()
Gets the CipherData child element.

Specified by:
  `getCipherData` in interface `EncryptedType`
Returns:
  the CipherData child element

### setCipherData

public void setCipherData(@Nullable CipherData newCipherData)
Sets the CipherData child element.

Specified by:
  `setCipherData` in interface `EncryptedType`
Parameters:
  `newCipherData` - the new CipherData child element

### getEncryptionProperties

@Nullable public EncryptionProperties getEncryptionProperties()
Gets the EncryptionProperties child element.

Specified by:
  `getEncryptionProperties` in interface `EncryptedType`
Returns:
  the EncryptionProperties child element

### setEncryptionProperties

public void setEncryptionProperties(@Nullable EncryptionProperties newEncryptionProperties)
Sets the EncryptionProperties child element.

Specified by:
  `setEncryptionProperties` in interface `EncryptedType`
Parameters:
  `newEncryptionProperties` - the new EncryptionProperties child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements